PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_stream_control Struct Reference
Stream

`#include <pipewire/stream.h>`

## Data Fields
uint32_t | flags
| extra flags (unused)
float | def
| default value
float | min
| min value
float | max
| max value
float * | values
| array of values
uint32_t | n_values
| number of values in array
uint32_t | max_values
| max values that can be set on this control

## Field Documentation

## ◆ flags

uint32_t pw_stream_control::flags

extra flags (unused)

## ◆ def

float pw_stream_control::def

default value

## ◆ min

float pw_stream_control::min

min value

## ◆ max

float pw_stream_control::max

max value

## ◆ values

float* pw_stream_control::values

array of values

## ◆ n_values

uint32_t pw_stream_control::n_values

number of values in array

## ◆ max_values

uint32_t pw_stream_control::max_values

max values that can be set on this control

The documentation for this struct was generated from the following file:

- pipewire/stream.h